## groovy.lang
Class BenchmarkInterceptor

Interceptor that registers the timestamp of each method call before and after invocation.

Field Summary
`Map` | `calls`

Constructor Summary
`BenchmarkInterceptor()`

Method Summary
`Object` | `afterInvoke(Object object, String methodName, def arguments, Object result)`
`Object` | `beforeInvoke(Object object, String methodName, def arguments)`
`boolean` | `doInvoke()`
`Map` | `getCalls()`
`void` | `reset()`
`List` | `statistic()`

Constructor Detail

### BenchmarkInterceptor

    BenchmarkInterceptor()

Method Detail

### afterInvoke

    public Object afterInvoke(Object object, String methodName, def arguments, Object result)

### beforeInvoke

    public Object beforeInvoke(Object object, String methodName, def arguments)

### doInvoke

    public boolean doInvoke()

### getCalls

    public Map getCalls()

### reset

    public void reset()

### statistic

    public List statistic()

  return:
    a list of lines, each item is [methodname, numberOfCalls, accumulatedTime]